RTV(1)

NAME
RTV - Reddit Terminal Viewer

SYNOPSIS
rtv [-h] [-V] [-s SUBREDDIT] [-l LINK] [--ascii] [--log FILE] [--non-persistent] [--clear-auth]

DESCRIPTION
Reddit Terminal Viewer is a lightweight browser for www.reddit.com built into a terminal window.

OPTIONS

-h, --help
    show this help message and exit

-V, --version
    show program's version number and exit

-s SUBREDDIT
    name of the subreddit that will be opened on start

-l LINK
    full URL of a submission that will be opened on start

--ascii
    enable ascii-only mode

--log FILE
    log HTTP requests to a file

--non-persistent
    Forget all authenticated users when the program exits

--clear-auth
    Remove any saved OAuth tokens before starting

CONTROLS
Navigate between posts by using the arrow keys or vim-style `hjkl` movement. You can view the full list of commands by pressing the ? key inside of the program.

FILES

$XDG_CONFIG_HOME/rtv/rtv.cfg
    The configuration file can be used to customize default program settings, see README.rst for more information.

$XDG_CONFIG_HOME/rtv/refresh-token
    After you login to reddit, your most recent OAuth refresh token will be stored for future sessions. You can disable this behavior by setting the option persistent=False in your configuration file.

ENVIRONMENT

RTV_EDITOR
    Specifies which text editor RTV will attempt to use when editing comments and posts. RTV will fallback to $EDITOR if the editor is unspecified.

BROWSER
    Specifies which webbrowser RTV will attempt to use when opening links. This can be set to a terminal browser (w3m, lynx, elinks, etc.) for a true terminal experience. RTV will fallback to the system's default browser.

AUTHOR
Man page written by Johnathan "ShaggyTwoDope" Jenkins <twodopeshaggy@gmail.com> (2015).

BUGS
Report bugs to https://github.com/michael-lazar/rtv/issues

LICENSE
The MIT License (MIT)

(c) 2015 Michael Lazar